// Decompiled by Jad v1.5.8e. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/kpdus/jad.html
// Decompiler options: packimports(3) deadcode 
// Source File Name:   ClasspathEntryTypesIdentifier.java

package com.symantec.itools.lang.classpath;


// Referenced classes of package com.symantec.itools.lang.classpath:
//            DefaultEntryTypesIdentifier, ClasspathEntry

public interface ClasspathEntryTypesIdentifier
{

    public abstract boolean isBootEntry(ClasspathEntry classpathentry);

    public abstract boolean isExtensionEntry(ClasspathEntry classpathentry);

    public abstract boolean isApplicationEntry(ClasspathEntry classpathentry);

    public static final DefaultEntryTypesIdentifier DEFAULT = new DefaultEntryTypesIdentifier();

}
